Subject: Re: [PANRG] Fwd: New Version Notification for draft-enghardt-panrg-path-properties-00.txt

From: "Rass, Stefan" <[email-masked]>
Date: Mon, 19 Nov 2018 10:28:44 +0000

Hello,

I am a newcomer to this topic, to which my attention was drawn by a recent conference keynote talk on path aware routing. I subscribed to the PANRG mailing list, and with great interest followed the discussion so far.

Just briefly on my background: my research is (to a considerable extent) on security, assuming the availability of multi-path routing and quantifying security using game theory. Back then, I was just *assuming* that routing along a priori chosen routes/paths were possible, so I am more than happy to see progress on this to become a technological reality :-) I have to admit, however, that I am *not* an expert on networks or software engineering, as I am just a mathematician and general computer scientist, only with a specialty on security and game theory :-)

I don’t know if this is the right spot to throw in my thoughts here, but perhaps I can leave some ideas on the questions posted at https://tools.ietf.org/html/draft-irtf-panrg-questions-00

A potential aid for Question 2.3 may indeed be offered by game theory: if path properties are known to the end-user (assuming question 2.2 being affirmatively settled before), the end-user can strive for a (mathematically optimized) choice, even in light of competing intentions of the provider (as discussed later in question 2.7). Indeed, the problem of “best choice” against perhaps incompatible definitions of “best” between the involved entities (including the provider, but possibly also including a malicious party, running a botnet or just eavesdropping), is naturally a game theoretic issue, about which I can perhaps throw in thoughts and even theoretical concepts and results if there’s interest.
Likewise, question 2.5 is touched by the same issue: there is work on privacy based on game theory and multipath transmission, so even if such techniques have no immediate possibility of being implemented in layer 3 or 4, the use of multiple paths for perfectly secure end-to-end transmission may provide a neat additional motivation for the whole initiative :-)

Finally, and speaking about the (here unmentioned) matter of security and usability: multi-path transmission using point-to-point shared secrets is capable to providing transparent privacy between end-points up to the same cryptographic strength that otherwise only quantum cryptography promises.

Again, I apologize if this is not the right channel to throw my thoughts into the apparently many concurrent discussions here, but I find this development very interesting and extremely promising, so I hope to be able to help and would be delighted to provide input (by email or to the documents).

Have a great time!
Cheers,
Stefan

=============================================
Assoc. Prof. Dipl.Ing. Dipl.Ing. Dr. Stefan Rass
System Security Research Group
Institute of Applied Informatics
Universität Klagenfurt
Universitätsstrasse 65-67
9020 Klagenfurt
Austria
email: [email-masked]
web: www.syssec.at, www.aau.at
Phone: +43(0)463 2700 3715
Fax: +43(0) 463 2700 993715

________________________________
From: Panrg <[email-masked]> on behalf of Theresa Enghardt <[email-masked]>
Sent: 18 October 2018 13:34
To: [email-masked]
Subject: [PANRG] Fwd: New Version Notification for draft-enghardt-panrg-path-properties-00.txt

Dear PANRG,

as promised in the last session in Montréal, here's a draft addressing the first question (Section 2.1 in the questions draft).

My co-author Cyrill and I would like to present this draft in Bangkok.

Feedback is welcome!

Best,
Theresa

-------- Forwarded Message --------
Subject:        New Version Notification for draft-enghardt-panrg-path-properties-00.txt
Date:   Thu, 18 Oct 2018 04:30:43 -0700
From:   [email-masked]<mailto:[email-masked]>
To:     Cyrill Krahenbuhl <[email-masked]><mailto:[email-masked]>, Cyrill Krähenbühl <[email-masked]><mailto:[email-masked]>, Theresa Enghardt <[email-masked]><mailto:[email-masked]>

A new version of I-D, draft-enghardt-panrg-path-properties-00.txt
has been successfully submitted by Theresa Enghardt and posted to the
IETF repository.

Name: draft-enghardt-panrg-path-properties
Revision: 00
Title: A Vocabulary of Path Properties
Document date: 2018-10-18
Group: Individual Submission
Pages: 6
URL: https://www.ietf.org/internet-drafts/draft-enghardt-panrg-path-properties-00.txt
Status: https://datatracker.ietf.org/doc/draft-enghardt-panrg-path-properties/
Htmlized: https://tools.ietf.org/html/draft-enghardt-panrg-path-properties-00
Htmlized: https://datatracker.ietf.org/doc/html/draft-enghardt-panrg-path-properties

Abstract:
This document defines and categorizes information about Internet
paths that an endpoint might have or want to have. This information
is expressed as properties of paths between two endpoints.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat